Bug 195312 - www/firefox don't render a website after recent x11-toolkits/gtk20 update
Summary: www/firefox don't render a website after recent x11-toolkits/gtk20 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-23 19:25 UTC by Grzegorz Blach
Modified: 2014-11-25 11:21 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach freebsd_committer 2014-11-23 19:25:04 UTC
After I upgraded gtk2 to 2.24.25 (https://svnweb.freebsd.org/ports/head/x11-toolkits/gtk20/Makefile?annotate=373090) Firefox stops to render websites on fullscreen, I see only white space instead of website. In window Firefox works OK.

Now I downgraded gtk2 to 2.24.22_4 (previously used version) and Firefox again works fine on fullscreen.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-23 19:25:04 UTC
Maintainers CC'd
Comment 2 Koop Mast freebsd_committer 2014-11-23 20:40:38 UTC
While I have seen simular reports having tested this with a update gtk20 2.24.25 package and a firefox package build agains gtk 2.24.22 and it works for me.

So at this moment I don't know where to look.
Comment 3 Grzegorz Blach freebsd_committer 2014-11-23 21:45:04 UTC
Removing files/patch-gdk_gdkwindow.c fixes issue with Firefox for me.

It's look like problem was resolved upstream: https://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=c212cb8f32c02cf2fe691372b753d334f6e25d69
Comment 4 xmirya 2014-11-23 21:50:52 UTC
9-stable, amd64, Firefox doesn't redraw itself at all (regardless of whether it's fullscreen or not) after gtk was updated:
  1) sometimes when it's just started non-maximized, everything works ok till the window is resized, sometimes it repaints the single empty page tab and stops with that, while a dozen of tabs from the saved session is loaded invisibly
  2) when the window is resized the contents is repainted, however it never repainst further in response to any other events (expect for resizing it again), while user input is handled properly (just the user won't see it)
Comment 5 xmirya 2014-11-23 22:01:52 UTC
Removing files/patch-gdk_gdkwindow.c fixed it for me
Comment 6 Ashish SHUKLA freebsd_committer 2014-11-23 23:24:54 UTC
I can also confirm that problem is fixed for me on 10.1-RELEASE with Firefox 33.0 after removing files/patch-gdk_gdkwindow.c.

Thanks!
Comment 7 Michael Moll freebsd_committer 2014-11-24 08:59:36 UTC
I also had a similar problem and it got fixed by rebuilding gtk20 after removing files/patch-gdk_gdkwindow.c.

I wonder what's the difference between working and non-working setups. I use the nvidia blob driver, that's the only difference I can image to have some influence.
Comment 8 commit-hook freebsd_committer 2014-11-24 10:23:03 UTC
A commit references this bug:

Author: kwm
Date: Mon Nov 24 10:22:44 UTC 2014
New revision: 373199
URL: https://svnweb.freebsd.org/changeset/ports/373199

Log:
  Remove old firefox/thunderbird crash workaround. Upstream fixed it, and now
  the patch is causing window update issues.

  PR:		195312
  Submitted by:	gblach@

Changes:
  head/x11-toolkits/gtk20/Makefile
  head/x11-toolkits/gtk20/files/patch-gdk_gdkwindow.c
Comment 9 Koop Mast freebsd_committer 2014-11-25 11:21:28 UTC
The problem should be resolved. Thanks for the reporting.